<?php
require '../sys/inc/start.php';
require '../sys/inc/compress.php';
require '../sys/inc/sess.php';
require '../sys/inc/home.php';
require '../sys/inc/settings.php';
require '../sys/inc/db_connect.php';
require '../sys/inc/ipua.php';
require '../sys/inc/fnc.php';
require '../sys/inc/user.php';
only_reg();
$set['title']='Дневники » Добавление';
require '../sys/inc/thead.php';
title();


if (isset($_GET['add']) && isset($_POST['name']) && $_POST['name']!=NULL && isset($_POST['msg']))
{
$msg=mysql_real_escape_string($_POST['msg']);
$name=mysql_real_escape_string($_POST['name']);
if (strlen2($name)<3)$err='Короткое название';
if (strlen2($name)>50)$err='Длина названия превышает предел в 50 символов';
if (strlen2($msg)<3)$err='Короткий Текст';
if (strlen2($msg)>3000)$err='Длина текста превышает предел в 1024 символа';
$name=htmlspecialchars(trim($_POST['name']));
$msg=htmlspecialchars(trim($_POST['msg']));
if (!isset($err))
{
$sql=mysql_query("INSERT INTO `blog_list` (`id_user`, `name`, `msg`, `time`, `read`) values('$user[id]', '$name', '$msg', '$time', '$_POST[read]')");
if ($sql){
$id_b=mysql_insert_id();
header('Location: list.php?id='. $id_b);
}
}
}
err();


echo "<form method='post' action='?add'>\n";
echo "Название:<br />\n<input type='text' name='name' value=''><br />\n";
echo "Текст: <br />";
echo "<textarea name='msg'></textarea><br />";
echo "Читатели:<br />\n<select name='read'>\n";
echo "<option value='0'>Все</option>\n";
echo "<option value='2'>Только я</option>\n";
echo "</select><br />\n";
echo "<input value='Добавить' type='submit' />\n";
echo "</form>\n";

echo "<div class='fyt'>«<a href='index.php'>Дневники</a></div>\n";

require '../sys/inc/tfoot.php';
?>